function SelectRandom()
end;

function mini_create()
  init_mini(true)
  create_mini(3,284,80,115,115,1,3,2,4,4);
end;

  NOW_MINI = true
  mini_create()

if flags.pyatnashkiActive then
  NOW_MINI = true
  CreateMiniOutfit()
  CreatePlashechka(helpID)
  speciale_action(2,1)
  speciale_action(2,5)
  speciale_action(2,6)
  speciale_action(2,11)
  speciale_action(2,98)
end

local flag = true

function gameinput (sender,obj_id,attachedID)
  Write("sender = "..sender.."; obj_id="..obj_id.."\n")
  MiniInterfaceHandler(sender, obj_id,attachedID);
  sendersProcessing(sender,obj_id,attachedID)
  if wrongItemWarning(sender, obj_id, attachedID, "pyatnashki_6_10") then
    return
  end
  if sender==1 then
    if flags.pyatnashkiActive then
      if obj_id>=1 and obj_id <= 16 then
        local a = check_mini_game_money_pation(obj_id,flag)
         playeffect("block")
        flag = not flag
      end
    else
      if obj_id == 98 then
        if obj.pyatnashki_6_10 and attachedID == obj.pyatnashki_6_10.id then
          removeFromMouse()
          UnStoreObj(obj.pyatnashki_6_10.id)
          flags.pyatnashkiActive = true
          NOW_MINI = true
          CreateMiniOutfit()
          CreatePlashechka(helpID)
          speciale_action(2,98,true,0.1)
          speciale_action(2,1 ,true,1)
          speciale_action(2,5 ,true,1)
          speciale_action(2,6 ,true,1)
          speciale_action(2,11,true,1)
        else
          CreatePlashechka("638")
        end
      end
    end
    -- if obj_id == 99 then
      -- CloseSatelite()
    -- end
  end
  if sender == 10 then
    -- Block_Show_Cur(true)
    playeffect("mini_complete")
    StartTimer(timerID,2,"CloseSatelite")
    speciale_action(2,99,true,1)
    neighbors.Pyatnashki.lock = true
  end
end